# memset_dns_reload – Request reload of Memset’s DNS infrastructure,

New in version 2.6.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Request a reload of Memset’s DNS infrastructure, and optionally poll until it finishes.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_key - / required |  | The API key obtained from the Memset control panel.

poll
boolean

Choices:
- no ←
- yes

Boolean value, if set will poll the reload job's status and return when the job has completed (unless the 30 second timeout is reached first). If the timeout is reached then the task will not be marked as failed, but stderr will indicate that the polling failed.

## Notes

Note

- DNS reload requests are a best-effort service provided by Memset; these generally happen every 15 minutes by default, however you can request an immediate reload if later tasks rely on the records being created. An API key generated via the Memset customer control panel is required with the following minimum scope - dns.reload. If you wish to poll the job status to wait until the reload has completed, then job.status is also required.

## Examples

    - name: submit DNS reload and poll.
      memset_dns_reload:
        api_key: 5eb86c9196ab03919abcf03857163741
        poll: True
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
memset_api complex | always | Raw response from the Memset API.
| error boolean | always | Whether the job ended in error state. Sample: True
| finished boolean | always | Whether the job completed before the result was returned. Sample: True
| id string | always | Job ID. Sample: c9cc8ad2a3e3fb8c63ed83c424928ef8
| status string | always | Job status. Sample: DONE
| type string | always | Job type. Sample: dns

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Simon Weald (@glitchcrab)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.